﻿@using MyTube.Entities
@using MyTube.Repositories
@model MyTube.ViewModels.VideoModels.IndexVM
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_shared.cshtml";
}
<fieldset>
    <legend>Videos</legend>

    <div class="grid">
        <div class="add"> <a href="/Video/Add">Add Video</a></div>
       
        @foreach (var item in Model.Items)
         { 
             UserRepository repo = new UserRepository();
             User u = repo.GetFirstOrDefault(i => i.Id == item.CreatorId);
             
    <fieldset>
        <legend>@u.FirstName</legend>
        <div class="row">
            <div class="col-3 bold">Title</div>
            <div class="col-3 bold">Video</div>
        </div>
        <div class="row">
            <div class="col-3 bold push">@item.Title</div>
            <div class="col-3">
                <iframe src="@item.Link"></iframe>
            </div>
            <div class="col-4 bold push">
                <a href="/PlayList/Add?VideoId=@item.Id">Add to Playlist</a>
            </div>
            @if (((User)Session["loggedUser"]).Id == item.CreatorId)
             {
                <a href="/Video/Delete?VideoId=@item.Id">Delete</a>
             }
        </div>
    </fieldset>
         }
    </div>

     @for (int i = 0; i < Model.PagesCount; i++)
      {
            <div class="num">
                <a href="/Video/Index?Page=@(i+1)&ItemsPerPage=@(Model.ItemsPerPage)">@(i + 1)</a>
            </div>
      }

    <script>
        function ddlItemsPerPage_Change() {

            let ddlItemsPerPage = document.getElementById("ddlItemsPerPage");
            let selectedIndex = ddlItemsPerPage.selectedIndex;
            let itemsPerPage = ddlItemsPerPage.options[selectedIndex].value;

            document.location.href = "/Video/Index?ItemsPerPage=" + itemsPerPage;
        }

    </script>

    <select id="ddlItemsPerPage" onchange="ddlItemsPerPage_Change()" class="right">
        <option @(Model.ItemsPerPage == 2 ? "selected" : "")>2</option>
        <option @(Model.ItemsPerPage == 5 ? "selected" : "")>5</option>
        <option @(Model.ItemsPerPage == 10 ? "selected" : "")>10</option>
    </select>
</fieldset>

